<?php

declare(strict_types=1);

namespace Drupal\fz152_consent\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure FZ152 — Consent settings for this site.
 */
final class FZ152ConsentSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'fz152_consent_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames(): array {
    return ['fz152_consent.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state): array {
    $form['source'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Source field names'),
      '#description' => $this->t('Each value on a new line'),
      '#default_value' => $this->config('fz152_consent.settings')->get('source'),
      '#required' => TRUE,
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state): void {
    $this->config('fz152_consent.settings')
      ->set('source', $form_state->getValue('source'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
